{{#if this.hasPicture}}
  <div id="{{this.elementId}}" class="button-picture {{this.positionClass}}" {{did-insert this.setup}} {{did-update this.setup @value}}>
    <div class="picture">
      {{#if this.pictureUrl}}
        {{!-- template-lint-disable require-valid-alt-text --}}
        <img src={{this.pictureUrl}} class="main-picture" />
      {{/if}}

      {{#if this.hoverUrl}}
        {{!-- template-lint-disable require-valid-alt-text --}}
        <img src={{this.hoverUrl}} class="hover" />
      {{/if}}

      {{#if this.activeUrl}}
        {{!-- template-lint-disable require-valid-alt-text --}}
        <img src={{this.activeUrl}} class="active" />
      {{/if}}
    </div>

    {{#if this.text}}
      <div class="text">
        {{this.text}}
      </div>
    {{/if}}
  </div>

  <ResponsiveStyle @deviceSize={{@deviceSize}} @selector="#{{this.elementId}} img, #{{this.elementId}} .picture"
    @style={{@value.pictureOptions.style}} />
{{else}}
  {{this.text}}
{{/if}}